# Alter Status Message

**Drupal module to globally override core system status messages.**

---

## 📦 Module Description

The **Alter Status Message** module allows site administrators to define
and replace default Drupal status messages (like "User created", "Cache 
cleared", etc.) with custom ones — no need to touch core or contributed
modules.

This is useful for:
- Branding tone of system messages.
- Translating system messages without relying on string overrides.
- Customizing user-facing messages without coding.

---

## ✅ Features

- Admin interface to define message overrides.
- Replace messages by matching part of the original text.
- Works with messages from core, contributed modules, or custom code.
- Lightweight — no impact on performance or message logic.

---

## 💡 Example Use Case

| Default Message                | Your Custom Message                 |
|-------------------------------|-------------------------------------|
| Created new user              | 🎉 User was successfully created!   |
| Deleted user                  | User removed from the system.       |
| The cache was cleared         | Cache cleared successfully.         |

---

## 🔧 Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

---


## Maintainers

- Raveen Thakur  - [raveen_thakur51](https://www.drupal.org/u/raveen_thakur51)
- Manpreet Singh - [Manpreet_Singh](https://www.drupal.org/u/manpreet_singh)
- Pankaj kumar   - [Pankaj_LNweb](https://www.drupal.org/u/pankaj_lnweb)
- Shikha Dawar   - [shiks](https://www.drupal.org/u/shiks)
